2020-01-02 Release 5.9
  * Include German translation (previously distributed as geometry-de on ctan)
  * Use iftex versions of \ifxetex, \ifpdf

2018-04-16 Release 5.8
  * Documentation fixes.
  * (x)dvipdfmx alias for dvipdfm otion.

2018-03-24 Release 5.7
  * add support for luatex 0.85+

2010-09-12 Release 5.6
  * Package 'ifxetex' is loaded for robuster detection of XeTeX.
  * Fixed a bug where 'pass' option was not reset in \newgeometry.

2010-07-13 Release 5.5
  * Fixed a bug where paper width and height were swapped unnecessarily
    inside \newgeometry{} if 'landscape' is given as a class option.
  * Changed crop marks with elbow-shaped lines 17mm long and offset by 3mm.
  * Added 'showframe' and 'showcrop' as options shown in verbose mode.
  * Fixed typos and wrong figures, and revised expressions in the document.
  * Added missed things that had been fixed for v5.4 into changes.txt.

2010-07-08 Release 5.4
  * New paper size presets for ISO C-series: 'c0paper' to 'c6paper'.
  * Fixed a bug where overloading shipout in 'showframe' and/or 'showcrop'
    mode caused warnings when 'pdfpages' package is used.
  * Changed the shipout overloading process to use 'atbegshi' package.
    Options 'showframe' and 'showcrop' require the package.
  * Fixed a bug where restoring layoutwidth and layoutheight failed
    when \restoregeometry is called.
  * Fixed a bug that forced papersize to set the same length
    as the specified layoutsize.
  * Fixed a bug where page frame shown in 'showframe' mode was placed
    slightly wrong.
  * Fixed wrong 'h-part' calculation in verbose when bindingoffset
    or mag is specified.
  * Changed format and fixed values shown in verbose mode.

2010-03-13 Release 5.3
  * Fixed missed initialization of \Gm@lines.

2010-03-01 Release 5.2
  * Fixed a bug that the papersize setting explicitly specified
    with \geometry or \usepackage in the preample didn't come to
    \newgeometry.
  * Added \mag offset adjustment for \newgeometry.
  * Added 'onecolumn' option as a shorthand for 'twocolumn=false'.
  * Changed the format of the verbose mode.

2010-02-15 Release 5.1
  * Fixed a bug that caused an error in 'pass' option.

2010-02-12 Release 5.0
  * Changing page layout mid-document.
    The new commands \newgeometry{...} and \restoregeometry allow
    users to change page dimensions in the middle of the document. 
  * A new set of options to specify the layout area.
    The options specified for the area, in which the page dimensions
    are calculated, are added: 'layout', 'layoutsize', 
    'layoutwidth', 'layoutheight' and so forth.
    These options would help to print the specified
    layout to a different sized paper.  For example, with 'a4paper'
    and 'layout=a5paper', the geometry package uses 'A5' layout to
    calculate margins with the paper size still 'A4'.
  * A new driver option 'xetex'.
    The new driver option 'xetex' is added. The driver auto-detection
    routine has been revised so as to avoid an error with undefined
    control sequences. Note that 'geometry.cfg' in TeXLive, which
    disables the auto-detection routine and sets 'pdftex', is no
    longer necessary and has no problem even though it still exists.
    To set 'xetex' is strongly recommended with XeLaTeX.
  * New paper size presets for JIS B-series.
    The papersize presets 'b0j' to 'b6j' for JIS (Japanese Industrial
    Standards) B-series are added.
  * Changing default for underspecified margin.
    In the previous version, if only one margin was specified,
    'bottom=1cm' for example, then geometry set the other margin with
   the margin ratio (1:1 by default for the vertical dimensions)
    and got 'top'=1cm in this case.
    The version 5 sets the text-body size with the default 'scale'
    (=0.7) and determine the unspecified margin.
  * The option 'showframe' works on every page.
    With 'showframe' option, the page frames are shown on every page.
    In addition, the new option 'showcrop' would print cropmarks showing
    the corners of the layout (the same as paper by default) on every page.
  * Loading geometry.cfg precedes processing class options.
    The previous version loaded 'geometry.cfg' after processing
    the document class options.  Now that the config file is
    loaded before processing the class options, you can change the
    behavior specified in 'geometry.cfg' by adding options into
    \documentclass as well as \usepackage and \geometry.
  * Deleted options: 'compat2' and 'twosideshift'.
    The version 5 has no longer compatibility with the previous ones.
    'compat2' and 'twosideshift' are gone for simplicity. 

2008-12-21 Release 4.2
  * Fixed check for the definition of \AtBeginShipoutFirst.
  * Fixed \topskip adjustment so that it works when "lines" option is used.
  * Added "driver=none" option, which does nothing for driver.
  * Revised the note on 'ifvtex' package.

2008-11-13 Release 4.1
  * Fixed missing \ProvidesPackage.

2008-11-06 Release 4.0
  * More robust driver detection.
    The driver detection method has been totally rewritten so that
    it can automatically detect the driver appropriate for the
    typesetting program in use. Therefore explicit driver setting is no
    longer needed in most cases, except for the driver 'dvipdfm'.
    This improvement makes geometry work more robustly for 
    the typesetting programs under e-TeX, XeTeX and VTeX
    as well as normal TeX environment. The packages 'ifpdf' and
    'ifvtex' are used, which are available in CTAN.
    Note that 'ifvtex' package v1.3 (2007/09/09), however, has a
    bug (a typo) that affects the detection of VTeX.
    So you need to use 'ifvtex' v1.4 or later.
  * New option: resetpaper.
    This option disables explicit paper setting in 'geometry'
    and uses the paper size specified before 'geometry'. 
    This option may be useful to print nonstandard sized documents
    with normal printers and papers.
  * Added adjustment to \topskip.
    When large font sizes are specified, \topskip has to be adjusted
    so that the formula:
     \textheight = (lines - 1)  x \baselineskip} + \topskip
     to be correct. To do this, \topskip is set to \ht\strutbox,
     if \topskip is smaller than \ht\strutbox.
  * Added ANSI paper sizes.
    New paper size definitions for ANSI A to E are added.
  * Fixed wrong ISO paper sizes.
    The paper sizes for A1,A2,A5 and A6 were wrong (by 1mm).
  * Fixed PDFTeX magnification problem. 
    PDF paper offset is adjusted properly when magnification is
    set by mag option with pdfTeX.
  * Changed package source organization.
    Files geometry.ins and geometry-samples.tex are integrated into
    geometry.dtx so that they can be generated from geometry.dtx by
    the 'tex' command. Documentation can be also generated directly
    from geometry.dtx by '(pdf)latex' command.
  * Other improvements to the code and documentation.

2002-07-08 Release 3.2
  * Added known problem: for crop package with its 'center' option and
    'mag' larger than 1000, the result is not the one expected.
  * Fixed double-valued marginratio setting like {1:1,1:5}.
    {h|v}marginratio should have been set by \edef
    instead of \def (line:439-440 in geometry.sty). 
    The bug was introduced in v3.1. (found by Rolf Niepraschk)
  * Added two test files: gtest15.tex gtest16.tex
     
2002-07-04 Release 3.1
  * Fixed an error in setting geometry dimensions with \widthof of
    calc package. \Gm@defbylen and \Gm@defbycnt are introduced to set
    geometry dimensions.
     
2002-06-30 Release 3.0
    (Special thanks to Frank Mittelbach for checking codes patiently
     and providing extremely helpful insight and suggestions)
  * Revised geometry.dtx document.
     
2002-06-28
  * Bug fix: multiple landscape/portrait switches malfunctioned.
  * Bug fix: default hmarginratio wasn't reset when twoside is reset.
    The initialization of default margionratios added in \Gm@clean.
    
2002-06-12
  * Improved 'reset': can reset 'paper' given as a geometry option.
  * Bug fix: class default papersize with class option 'landscape'
    didn't work with \geometry command.
    
2002-06-05
  * Added a landscape correction for dvips with 'special' command.
  * Added 'dvipdfm' (same as 'dvips' internally).
  * Changed driver settings ('dvips', 'pdftex', and all that) to exclusive.
  * Bug fix: 'footnotesep' (\skip\footins) couldn't be reset.
  * Bug fix: 'bindingoffset' didn't work with calc package
  * Bug fix: 'showframe' vbox had improper height settings.
  * Bug fix: complex margin settings with calc, e.g. (1in-50pt)*2/3,
    didn't work well. 
     
2002-05-27
  * Added many '\@onlypreamble' commands.
  * The default vscale is changed to 0.7.
  * Added 'compat2' to achieve option compatibility with the old version.
     
2002-05-24
  * 'pdfoutput=1' is removed because it is unnecessary and rather harmful
    with package 'hyperref'.
  * The default hscale is changed to 0.7.
  * The default hmaginratio '\Geom@Dhratiotwo' (=2:3) is used
    if \@twosidetrue.
  * 'asymmetric' sets \@mparswitchfalse and \@twosidetrue, so that
     one can use 'asymmetric' as an alternative to the 'twoside' option.
     
2002-05-21
  * Added 'nomarginpar' with \marginparwidth and \marginparsep set to 0pt.
  * Added '\geom@checkmp' checking if marginal notes fall off the page.
  * '\geom@process' revised with new internal macros.
  * Bug fixed: odd/evensidemargin calculations totally modified.
     
2002-05-20
  * Changed the default settings (old defaults --> new defaults)
    - scale={0.8,0.9} --> scale=0.8
    - includeheadfoot, ignoremp --> ignoreall
    - marginratio={2:3,1:2} for oneside, marginratio=2:3 for twoside  
      -->  marginratio={1:1,2:3} for oneside, marginratio=2:3 for twoside
    
2002-05-19
  * 'asymmetric' just sets \@mparswitchfalse. 'asymmetric=false' does
    nothing.
  * '\geom@process' revised.
    
2002-05-14
  * 'nohead', 'nofoot' and 'noheadfoot' are just shortcut for
     setting the corresponding LaTeX dimensions to zero, so they
     are overwritable by subsequent options.
  * Added 'asymmetric' option with the same layout on every pages.
    'twoside' automatically set 'asymmetric=false', but users can
     set manually 'asymmetric(=true)'.
  * Changed showparam style.
  * Added 'hcentering' and 'vcentering', which set 'hmarginratio=1:1'
    and 'vmarginratio=1:1' respectively.
  * Bug fixed: incorrect margins when 'twocolumn' and 'includemp'
  * Bug fixed: '(h|v)centering' option was set even when the value is
    false.
  * Bug fixed: \mag and options with true dimension values caused
    overspecification warning about \mag. Now \mag cannot be specified
    more than once as geometry option.
  * Known Problem: 'reset' still leaves the last papername given as
    a geometry option, not the class original papername.
    Set the proper paper name again after 'reset'.
     
2002-05-13
  * Added 'twocolumn' option
  * "verbose" displays the parameter results on the terminal,
    "verbose=false" (default) still puts them into the log.
  * 'heightrounded' calculation no longer needs ifthen package.
  * Bug fixed: 'heightrounded' always adjusted downwards.
  * Bug fixed: it didn't work with calc package. 
    \Geom@setafter command needs \expandafter's
  * Bug fixed: 'pass' and multiple 'reset' didn't work well.
     
2002-05-10
  * Added 'showframe' option, which shows textarea and page frames,
    and lines for head and foot to check layout in detail.
    Geometry.sty now contains features of showframe.sty. So showframe.sty
    is deleted from the distribution.
  * Bug fixed: {h,v}offset was set wrong values when 'mag', 'truedimen'
    and \geometry{..} macro were used.
  * Bug fixed: execution timing of changing papersize was wrong.
    This bug was introduced in v3.0 beta.
     
2002-05-09
  * Added 'heightrounded' option. If \textheight is not specified,
    this option rounds it to n-times (n: an integer) of \baselineskip plus 
    \topskip, \textheight = n * \baselineskip + \topskip,
    to avoid "underfull vbox" in some cases. Default is false.
    ifthen package included in LaTeX base bundle is required.
  * Added 'lines' option, which enables users to specify \textheight
    by the number of lines included in \textheight auto-calculating
    \textheight = (lines - 1) * \baselineskip + \topskip.
    This option is prior to all the other options determining 'textheight'
    directly (ie. 'textheight', 'height', 'vscale').
  * Bug fixed: \Geom@dset wasn't set by \edef.
     
2002-04-26
  * \geom@setafter and \Geom@dset (both internal) makes LaTeX dimension
    setting as a option (headsep, footskip, hoffset, and etc)
    effective at the beginning of \geom@process for 'pass' option.
  * Revised internal codes specifying papersize.
  * Changed the way of displaying options and parameters in 'verbose' mode.
    
2002-04-25 Release 3.0 beta
  * Added 'screen' option as a new papersize (papersize={225mm,180mm}).
    To make presentation with PC and video projector, geometry option
    "screen,centering" with 'slide' documentclass must be the best choise.
  * Added 'pass' option, which disables geometry's auto-layout.
  * Added 'ratio' option equivalent to 'marginratio'.
  * Added 'centering', a shortcut for 'marginratio=1:1'.
  * Added 'innermargin' and 'outermargin', aliases for leftmargin
    and rightmargin respectively.
     
2002-04-22
  * Version 3.0 Candidate alpha, alpha-2 (formly known as 2.4 alpha-1,2)
  * Added 'ignorehead', 'ignorefoot', 'ignoreheadfoot', and
    'ignoreheadfootmp'(ignoreall) options to disregard
    head/foot/marginpars spaces.
  * Added '{h|v}marginratio' options.
    These options specify visible marginal spaces in each direction,
    left(inner):right(outer) for the horizontal ratio, top:bottom
    for the vertical. They should be set in 'a:b' style and each
    value should be a positive integer less than 100 to avoid
    arithmetic overflow. In default, hmarginratio=2:3 (1:2 for
    twoside) and  vmarginratio=1:2. 
  * The 'automatic' centering is no longer default layout,
    so marginratio={2:3,1:2} is used as default.
  * Removed twosideshift option, use bindingoffset instead.
    bindingoffset is set 0pt as default and supports twoside.
     
2000-06-28 Release 2.3
  * Added 'truedimen', 'columnsep' and 'footnotesep' options.
  * VTeX supported.
  * Modified internal settings for twosideshift and mag.
     
1999-10-07 Release 2.2
  * Bug fixed: explicit twoside was needed for book.cls.
     
1999-09-27 Release 2.1
  * Bug fixed: twosideshift with reversemarginpar made wrong margins.
  * Added mag option.
  * Paper sizes A6 and B6 supported.
  * Changed license declaration to LPPL.
     
1998-04-06 Release 2.0
  * Flexible setting scheme for package option with keyval.
  * Removed exclamations and extra control sequences for paperwidth
    and paperheight.
  * Totally revised the code and document.
     
1997-09-08 Release 1.08
  * Included geometry.cfg into geometry.dtx.
  * Changed the catcode of exclamation mark.
     
1997-07-05 Release 1.07
  * Modified process of 'dvips' option.
  * pdftex supported.
  * Added 'a0paper' and 'b0paper'.
     
1997-04-16 Release 1.06
  * reversemarginpar supported.
     
1997-02-17 Release 1.05
  * Changed the definition for dvips option.
     
1996-08-05 Release 1.04
  * Bug fixed: papersize= had no effect when papertype was given
    in geometry.cfg or as a package option.
     
1996-07-17 Release 1.03
  * calc support
     
1996-06-07 Release 1.02
  * Changed definition for 'reset' option.
  * Revised instructions for 'reset' and 'dvips' options.
     
1996-06-03 Release 1.01
  * Fixed bugs in setting paper and option processing.
  * geometry.cfg
  * Added 'dvips' option.
     
1996-05-31 Release 1.00
  * Started geometry package distribution.
  * Use keyval interface.

EOF
